GENPHY_UPDATE_LINK(9)

NAME
genphy_update_link - update link status in phydev

SYNOPSIS

int genphy_update_link(struct phy_device * phydev);

ARGUMENTS

phydev
    target phy_device struct

DESCRIPTION

Update the value in phydev->link to reflect the current link value. In order to do this, we need to read the status register twice, keeping the second value.

COPYRIGHT